# Get Accounts

> Source: https://truto.one/docs/api-reference/unified-crm-api/accounts/get/

`GET /unified/crm/accounts/{id}`

Resource: **Accounts** · API: **Unified CRM API**

## Supported integrations

Accelo, ActiveCampaign, Affinity, Attio, Capsule, Close, Copper, Microsoft Dynamics 365 Sales, Freshsales, Highlevel, HubSpot, Insightly, Keap, Monday CRM, Nutshell, OnePageCRM, Outreach, Pipedrive, Pipeline CRM, Pipeliner, Planhat, Salesflare, Salesforce, Teamleader, Zendesk Sell, Zoho CRM

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`fields`** _(unknown)_

## Response body

- **`id`** _(string, required)_
  The account's unique identifier
- **`owner`** _(object)_
  The account's owner
  - **`id`** _(string)_
    The owner's unique identifier
- **`name`** _(string)_
  The account's name
- **`description`** _(string)_
  The account's description
- **`industry`** _(string)_
  The account's industry
- **`website`** _(string)_
  The account's website
- **`number_of_employees`** _(integer)_
  The account's number of employees
- **`addresses`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the address
  - **`street_1`** _(string)_
    Line 1 of the street address
  - **`street_2`** _(string)_
    Line 2 of the street address
  - **`city`** _(string)_
    The city
  - **`state`** _(string)_
    The state
  - **`postal_code`** _(string)_
    The postal code
  - **`country`** _(string)_
    The country
  - **`type`** _(string)_
    The address type
- **`phone_numbers`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the phone number
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The phone number type
- **`urls`** _(array<object>)_
  The account's urls
  - **`url`** _(string)_
    The account's URL
  - **`type`** _(string)_
    The account's URL type
- **`tags`** _(array<object>)_
  The contact's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`custom_fields`** _(object)_
  All the custom fields present on the account
- **`last_activity_at`** _(string)_
  The date and time of the account's last activity
- **`updated_at`** _(string)_
  The date and time of the account's last update
- **`created_at`** _(string)_
  The date and time of the account's creation
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/crm/accounts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/crm/accounts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'accounts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "accounts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
